Summary: Cast screen
Name: doskast
License: GPL-3.0
Group: Graphical desktop/Other
Url: https://osmesh.ru
Version: 0.1
Release: 1
Source0: %name-%version.tar
BuildArch: noarch
BuildRequires: make
BuildRequires: desktop-file-utils

%description
Cast screen

#--------------------------------------------------------------

%package board
Summary: Doskast for server (board)
Group: Graphical desktop/Other
Requires: %{_bindir}/inotifywait
Requires: xpra
Requires: apache2-base
Requires(pre): apache2-base

%description board
%summary

%files board
/var/www/cgi-bin/doskast-trigger-connect.cgi
%{_bindir}/doskast-server-watcher
/etc/xdg/autostart/doskast-server-watcher.desktop
%attr(0775,root,apache2) /var/spool/doskast

#--------------------------------------------------------------

%package student
Summary: Doskast for client (student)
Group: Graphical desktop/Other
Requires: curl
Requires: polkit
Requires: xpra
Requires: zenity

%description student
%summary

%files student
%{_bindir}/doskast-student-config
%{_sbindir}/doskast-student-config
%{_unitdir}/doskast-student.service
%{_datadir}/polkit-1/actions/ru.mos.doskast-student-config.policy
%config(noreplace) %{_sysconfdir}/systemd/system/doskast-student.service.d/doskast-student-firewall.conf
%config(noreplace) %{_sysconfdir}/doskastrc

%post student
%post_service doskast-student.socket doskast-student.service

%preun student
%preun_service doskast-student.socket doskast-student.service

#--------------------------------------------------------------

%prep
%setup -q

%build
%install
desktop-file-validate *.desktop
%makeinstall_std

mkdir -p %{buildroot}/var/spool/doskast
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/doskastrc
chmod 0644 %{buildroot}%{_sysconfdir}/doskastrc
